*-// Program to construct the text for a "Create Table" command 
*-// based on the currently open database and place it into the 
*-// clipboard for insertion into a program.  Just for saving some typing!

IF USED()
   IF SET("TALK") = "ON"
      SET TALK OFF
      m.talkstat = "ON"
   ELSE
      m.talkstat = "OFF"
   ENDIF

   _CLIPTEXT = "CREATE TABLE " + LOWER(DBF()) + " ("	&& Initial Text
   =AFIELDS(tmp_struc)				&& Array tmp_struc contains db structure
*
* Array Contents      Position
* Field Name          1
* Field Type          2
* Length              3
* Precision           4
*

* Loop through each array row and add the field string to the command
   FOR m.ktr = 1 TO ALEN(tmp_struc,1)
      _CLIPTEXT = _CLIPTEXT + ;
                  LOWER(tmp_struc(m.ktr,1)) + ;
                  " " + ;
                  tmp_struc(m.ktr,2) + ;
                  "(" + ;
                  LTRIM(STR(tmp_struc(m.ktr,3))) + ;
                  IIF(NOT EMPTY(tmp_struc(m.ktr,4)), ;
                      ","+LTRIM(STR(tmp_struc(m.ktr,4))), "") + ;
                  ")" + ;
                  IIF(ALEN(tmp_struc,1)<>m.ktr,", ","")
   ENDFOR
   _CLIPTEXT = _CLIPTEXT + ")"		&& Complete the text for the command

   IF m.talkstat = "ON"
      SET TALK ON
   ENDIF
ELSE
   WAIT WINDOW "No database is currently in use in this work area"
ENDIF
